ashleythorne

Malware peddlers are now hijacking Snap publisher domains

4mon 1d ago in ubuntu@lemmy.ml from blog.popey.com

I don't get how Canonical is both super invested in snap, doubling down on its use, while simultaneously neglecting it and ignoring obvious issues.

The fact is that while I appreciate many technical aspects of snap, I will never use it again simply because I do not trust Canonical's handling of the store. So much malware has made its way onto the store, remains on the store for extended periods of time, and Canonical has not changed their policies and review process in any meaningful way to stop this from happening.

GOG plan to look a bit closer at Linux through 2026

5mon 4d ago in linux_gaming from www.gamingonlinux.com

I hope they also improve offline installers. Some games have really whack setups where there are so many patches you have to apply. Order matters, some patches seem optional.

Heroic can be hit or miss in my experience. I found that using the offline installers in Bottles would get those broken games working, which is interesting since I think Bottles still defaults to a fork of wine 9.

I use it pretty often to keep my desktop, laptop, and server configs in sync.

To setup new systems, I created this bash script: https://lemmy.world/post/41584520/21545156

Then I would run the commands in my original post to create the symlinks.

Then you only need the “secret zero” of an ssh key to get everything set up and syncable

I made a script just for this purpose, I run the script on a fresh system and it pulls my stow directory without me needing to manually mess with ssh keys or passwords.

On a flashdrive, I have a folder named "setup". In that folder, I have this script called "run" and a directory called "ssh". In that "ssh" folder (not to be confused with ~/.ssh), I put my private ssh keys and their pubs.

#!/bin/bash

# stop script immediately on error
set -e

# change working directory to directory containing this script
cd "$(dirname "$0")"

# check that ./ssh exists and exit if not
if [ ! -d ./ssh ]; then
    echo "./ssh not detected, exiting..."
    exit 1
fi

# create .ssh directory
[ ! -d $HOME/.ssh ] && mkdir $HOME/.ssh
chmod 700 $HOME/.ssh

# copy keys to ~/.ssh
cp -a ./.ssh/. $HOME/.ssh/

# ensure right permissions for .ssh contents
# note: 2>/dev/null suppresses errors if no .pub files exist, || true to avoid exiting on failure
chmod 600 $HOME/.ssh/*
chmod 644 $HOME/.ssh/*.pub 2>/dev/null || true

# start ssh agent
eval `ssh-agent -s`
trap "ssh-agent -k" EXIT

# add keys
ssh-add "$HOME/.ssh/privatesshkey"

# add known hosts
# note: removing them first then adding again to avoid duplicate entries
ssh-keygen -R codeberg.org 2>/dev/null || true
ssh-keygen -R github.com 2>/dev/null || true
ssh-keyscan -H codeberg.org >> $HOME/.ssh/known_hosts
ssh-keyscan -H github.com >> $HOME/.ssh/known_hosts

# clone repo
cd $HOME
if [ -d "$HOME/stow" ]; then
    TIMESTAMP=$(date +"%Y%m%d_%H%M%S")
    mv "$HOME/stow" "$HOME/stow.old.$TIMESTAMP"
fi
git clone ssh://git@gitprovider.domain/myusername/stow.git

I've been happy with GNU Stow. Super simple and clean. I keep all the files in ~/stow and follow this workflow. You can avoid the git bits if you want and update ~/stow however you want.

cd ~/stow

# pull latest changes from git provider for syncing
git fetch
git status
git pull

# if made any edits and wanted to push them
git add .
git push origin main

# do a dry run of stow just to make sure it won't do anything weird
stow -n -v --no-folding .

# do a real run of stow if nothing is wrong
# note: --no-folding prevents folders from becoming symlinked, only files will be symlinks,
# this prevents unintended files from going into ~/stow
stow -v --no-folding .

Minecraft 26.1 Snapshot 3

5mon 5d ago in minecraft from www.minecraft.net

There was an update to that post, where the author said it was a "misinterpretation" and that it was just a research project.

Sometimes

flatpak remote-modify --enable flathub

is necessary.

GYESME: A New Design-Led Downstream Of GNOME Being Explored

5mon 7d ago in gnome@discuss.tchncs.de from www.phoronix.com

I agree that being able to work under pseudonyms is good.

Still, that doesn't mean this project worthy of media attention given. It would be if there was at least some implementation work done. In general, projects tend to actually do something before making an announcement, especially one with an ambitious goal like this.

Is this person at all known? They have next to 0 presence on their Github page. It's unclear whether they have any developer experience, which makes me wonder if this document was just AI generated without any knowledge of what it would take to do what they want to do.

Orion for Linux Update 4

5mon 9d ago in linux@lemmy.ml

Minecraft 26.1 Snapshot 2

5mon 11d ago in minecraft from www.minecraft.net

Minecraft 26.1 Snapshot 1

5mon 11d ago in minecraft from www.minecraft.net

Mounts of Mayhem challenges [For new cape]

6mon 6d ago in minecraft from www.minecraft.net

Stackoverflow 2025 Developer Survey, OS Usage

6mon 7d ago in linux@lemmy.ml from survey.stackoverflow.co

More mayhem incoming [New cape soon]

6mon 9d ago in minecraft from www.minecraft.net

Ubuntu Insights - How telemetry is changing on Ubuntu Desktop

6mon 9d ago in ubuntu@lemmy.ml from discourse.ubuntu.com

Minecraft Java Edition 1.21.11

6mon 10d ago in minecraft from www.minecraft.net

[Mastodon Thread] For fun: partially implementing the Moisac Windows concept

6mon 10d ago in gnome@discuss.tchncs.de from floss.social